-- functionsCtr.lua
-- Written By Habna


function ImportCtr( value )
	if value == "MI" then --Money Infos
		import (AppCtrD.."MoneyInfos");
		PlayerAtt = Player:GetAttributes();
		TB["win"].moneyChangedHandler = AddCallback(PlayerAtt, "MoneyChanged", function(sender, args) UpdateMoney(); end);
		UpdateMoney();
	elseif value == "DP" then --Destiny Points
		import (AppCtrD.."DestinyPoints");
		PlayerAtt = Player:GetAttributes();
		TB["win"].dpChangedHandler = AddCallback(PlayerAtt, "DestinyPointsChanged", function(sender, args) UpdateDestinyPoints(); end);
		UpdateDestinyPoints();
	elseif value == "BI" then --Backpack Infos
		import (AppCtrD.."BagInfos");
		Backpack = Player:GetBackpack();
		TB["win"].iaHandler = AddCallback(Backpack, "ItemAdded", function(sender, args) UpdateBackpackInfos(); end);
		TB["win"].irHandler = AddCallback(Backpack, "ItemRemoved", function(sender, args) ItemRemovedTimer:SetWantsUpdates( true ); end);
		UpdateBackpackInfos();
	elseif value == "PI" then --Player Infos
		import (AppCtrD.."PlayerInfos");
		TB["win"].levelChangedHandler = AddCallback(Player, "LevelChanged", function(sender, args) PI["Lvl"]:SetText( Player:GetLevel() ); end);
		TB["win"].nameChangedHandler = AddCallback(Player, "NameChanged", function(sender, args) PI["Name"]:SetText( Player:GetName() ); end);
		UpdatePlayersInfos();
	elseif value == "DI" then --Durability Infos
		itemEquipHandler = {};
		import (AppCtrD.."DurabilityInfos");
		UpdateDurabilityInfos();
	elseif value == "EI" then --Equipment Infos
		import (AppCtrD.."EquipInfos");
		PlayerEquipment = Player:GetEquipment();
		TB["win"].ieHandler = AddCallback(PlayerEquipment, "ItemEquipped", function(sender, args) UpdateEquipsInfos(); end);
		TB["win"].iueHandler = AddCallback(PlayerEquipment, "ItemUnequipped", function(sender, args) ItemUnEquippedTimer:SetWantsUpdates( true ); end);
		UpdateEquipsInfos();
	elseif value == "PL" then --Player Location
		import (AppCtrD.."PlayerLoc");
		TB["win"].ChatReceivedHandler = AddCallback(
		Turbine.Chat, "Received", function(sender, args)
			sMess = args.Message;

			----                1111111111222222222233333333 
			----       1234567890123456789012345678901234567
			--sMess = "Entered the Bree-town - Trade channel";
			if GLocale == "en" then sE, sC, iE = "Entered", "-%s", 13;
			elseif GLocale == "fr" then sE, sC, iE = "Canal", "-%s", 7;
			elseif GLocale == "de" then sE, sC, iE = "Kanal", "-%s", 13; end

			local bFound = string.find(sMess, sE, 1);
			if bFound ~= nil then
				local iLoc = string.find(sMess, sC, 1);
				if iLoc ~= nil then
					-- Extract Location from args.Message
					local PLoc = string.sub( sMess, iE, iLoc - 1 );
					UpdatePlayerLoc(PLoc);
					ReplaceModuleLocation( "right" );
				end
			end
		end);

		PLoc = L["PLMsg"];
		UpdatePlayerLoc(PLoc);
	elseif value == "GT" then --Game Time
		import (AppCtrD.."GameTime");
		--PlayerTime = Turbine.Engine.GetDate();
		--TB["win"].gtmChangedHandler = AddCallback(PlayerTime, "MinuteChanged", function(sender, args) UpdateGameTime(); end);
		UpdateGameTime();
	end
end